### Enumeration

# Gimp Precision

since: 2.10

#### Declaration

    enum Gimp.Precision

#### Description [src]

Precisions for pixel encoding.

Available since: 2.10

#### Members

Name | Description
--- | ---
`GIMP_PRECISION_U8_LINEAR` | 8-bit linear integer.
`GIMP_PRECISION_U8_NON_LINEAR` | 8-bit non-linear integer.
`GIMP_PRECISION_U8_PERCEPTUAL` | 8-bit perceptual integer.
`GIMP_PRECISION_U16_LINEAR` | 16-bit linear integer.
`GIMP_PRECISION_U16_NON_LINEAR` | 16-bit non-linear integer.
`GIMP_PRECISION_U16_PERCEPTUAL` | 16-bit perceptual integer.
`GIMP_PRECISION_U32_LINEAR` | 32-bit linear integer.
`GIMP_PRECISION_U32_NON_LINEAR` | 32-bit non-linear integer.
`GIMP_PRECISION_U32_PERCEPTUAL` | 32-bit perceptual integer.
`GIMP_PRECISION_HALF_LINEAR` | 16-bit linear floating point.
`GIMP_PRECISION_HALF_NON_LINEAR` | 16-bit non-linear floating point.
`GIMP_PRECISION_HALF_PERCEPTUAL` | 16-bit perceptual floating point.
`GIMP_PRECISION_FLOAT_LINEAR` | 32-bit linear floating point.
`GIMP_PRECISION_FLOAT_NON_LINEAR` | 32-bit non-linear floating point.
`GIMP_PRECISION_FLOAT_PERCEPTUAL` | 32-bit perceptual floating point.
`GIMP_PRECISION_DOUBLE_LINEAR` | 64-bit linear floating point.
`GIMP_PRECISION_DOUBLE_NON_LINEAR` | 64-bit non-linear floating point.
`GIMP_PRECISION_DOUBLE_PERCEPTUAL` | 64-bit perceptual floating point.